Bug 1101858 - glibc: Add el_GR@euro, ur_IN, and wal_ET locales
Summary: glibc: Add el_GR@euro, ur_IN, and wal_ET locales
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Carlos O'Donell
QA Contact: Sergey Kolosov
Mark Flitter
URL:
Whiteboard:
Depends On:
Blocks: 1361283 1448107
TreeView+ depends on / blocked
 
Reported: 2014-05-28 05:17 UTC by Marko Myllynen
Modified: 2017-05-04 14:33 UTC (History)
10 users (show)

Fixed In Version: glibc-2.12-1.204
Doc Type: Enhancement
Doc Text:
Support for the el_GR@euro, ur_IN, and wal_ET locales has been added The el_GR@euro, ur_IN, and wal_ET locales provide specialized support for newer currency symbols like the Euro, and complete coverage in the instances where the locale was previously unsupported. Users can now specify these locales using the relevant environment variables to take advantage of the new localization support.
Clone Of:
: 1448107 (view as bug list)
Environment:
Last Closed: 2017-03-21 10:34:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0680 normal SHIPPED_LIVE Moderate: glibc security and bug fix update 2017-03-21 12:36:34 UTC

Description Marko Myllynen 2014-05-28 05:17:05 UTC
Description of problem:
localhost:~> LC_ALL=de_DE.UTF-8 locale date_fmt
%a %-d. %b %H:%M:%S %Z %Y
localhost:~> LC_ALL=ur_IN.UTF-8 locale date_fmt 
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
%a %b %e %H:%M:%S %Z %Y
localhost:~> ls -al /usr/share/i18n/locales/ur_IN 
-rw-r--r--. 1 root root 5.0K 2013-11-05 18:46 /usr/share/i18n/locales/ur_IN
localhost:~> 

el_GR@euro, ur_IN, and wal_ET seem to be missing from the locale archive.

Version-Release number of selected component (if applicable):
glibc-common-2.12-1.132.el6.x86_64

Comment 2 Carlos O'Donell 2014-05-28 11:16:46 UTC
What does `localedef --list-archive` say on your system?

Comment 3 Marko Myllynen 2014-05-28 11:22:38 UTC
localhost:~> localedef --list-archive | grep -E '(el_GR|ur_IN|wal_ET)'
el_GR
el_GR.iso88597
el_GR.utf8
localhost:~> localedef --list-archive | wc -l                         
733
localhost:~>

Comment 4 Carlos O'Donell 2014-05-28 13:34:22 UTC
(In reply to Marko Myllynen from comment #3)
> localhost:~> localedef --list-archive | grep -E '(el_GR|ur_IN|wal_ET)'
> el_GR
> el_GR.iso88597
> el_GR.utf8
> localhost:~> localedef --list-archive | wc -l                         
> 733
> localhost:~>

(1) Officially supported localizations?

Do we have a statement with our customers regarding the supported localizations?

If yes, what languages and localizations are on that list?

(2) Regression or feature request?

Secondly, is this a regression from RHEL 6.4 or simply locales which are missing which you expect to be present?

(3) Supported by glibc?

Looking at glibc (localedata/SUPPORTED) I see that we only support:
el_GR.UTF-8/UTF-8
el_GR/ISO-8859-7

Therefore we have never supported el_GR@euro, ur_IN, and wal_ET in RHEL 6.x.

I'm marking this as an RFE until further information becomes available.

Comment 5 Marko Myllynen 2014-05-28 13:55:42 UTC
1) I cannot comment about the level of support (CC'ing Pravin, the author of ur_IN, who might know better).

2) Not a regression but an inconsistency I noticed while doing something unrelated. In general it seems a bit strange to single out these three locales.

3) Is el_GR@euro any different than the other @euro variants? Why omit it if the others are included?

I'm pretty sure we don't have official statements about the found 733 entries and this might be merely a build issue or such. But since this is just something I happened to notice and thought to report, I'm ok leaving this as-is.

Thanks.

Comment 6 Carlos O'Donell 2014-05-28 14:07:10 UTC
(In reply to Marko Myllynen from comment #5)
> 1) I cannot comment about the level of support (CC'ing Pravin, the author of
> ur_IN, who might know better).

Thanks.

> 2) Not a regression but an inconsistency I noticed while doing something
> unrelated. In general it seems a bit strange to single out these three
> locales.

What are we trying to be consistent with?

> 3) Is el_GR@euro any different than the other @euro variants? Why omit it if
> the others are included?

No reason at all except that nobody has requested it and we're following the supported set from upstream.
 
If we get a request we'll enable the locale upstream or locally and build it.

Comment 7 Marko Myllynen 2014-05-28 14:11:16 UTC
(In reply to Carlos O'Donell from comment #6)
> (In reply to Marko Myllynen from comment #5)
> 
> > 2) Not a regression but an inconsistency I noticed while doing something
> > unrelated. In general it seems a bit strange to single out these three
> > locales.
> 
> What are we trying to be consistent with?

Right, the inconsistency is that these locales are found under /usr/share/i18n/locales/ but not from the locale archive (unlike all other locales found there).

Thanks.

Comment 8 Carlos O'Donell 2014-05-28 14:16:47 UTC
(In reply to Marko Myllynen from comment #7)
> (In reply to Carlos O'Donell from comment #6)
> > (In reply to Marko Myllynen from comment #5)
> > 
> > > 2) Not a regression but an inconsistency I noticed while doing something
> > > unrelated. In general it seems a bit strange to single out these three
> > > locales.
> > 
> > What are we trying to be consistent with?
> 
> Right, the inconsistency is that these locales are found under
> /usr/share/i18n/locales/ but not from the locale archive (unlike all other
> locales found there).

That's easy to answer. It's an unsupported locale that was contributed upstream and for this particular version of glibc it was never officially supported and thus not available for general use. However, we ship all the source locale definitions for use by system administrators to use localedef to compile and install it if they wish (and modify).

Comment 9 Pravin Satpute 2014-05-29 05:12:53 UTC
Urdu (ur_IN) is one of the Indian 22 official Indian language. It is still not 
supported by RHEL. Though there has been request earlier for same. https://bugzilla.redhat.com/show_bug.cgi?id=242886 


 I specifically contrbuted ur_IN in glibc to complete i18n support for 22 official Indian language in RHEL.

Comment 19 Carlos O'Donell 2016-10-17 13:52:47 UTC
Fixed in 2.12-1.204

Comment 24 errata-xmlrpc 2017-03-21 10:34:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0680.html


Note You need to log in before you can comment on or make changes to this bug.